<?php
require_once("../../includes/bootstrap.php");
$sesion = new sesion(); // inicio la sesion
//---------------
//cache();
//-----------------
$sesion->set('permiso', permisos($_POST['privilegio']));

$academia = bootstrap::initBd($sesion->get('anio'));
$dtsCn = $sesion->get('configuracion');
$anio_inicio = $dtsCn['anio_inicio'];
$anio_final = $dtsCn['anio_final'];
$anio_activo = $dtsCn['anio_activo'];
?>
<script type="text/javascript">
    $(function() {
        $("#btnGenerar").on("click", function() {
            var tipo=0;
            var datos = 'anio=' + $("#txtanio").val + '&tipo=' + tipo;
            window.open('mod_reportes/anexo6a/exp_anexo_xls.php?' + datos, '', 'width=800,height=550,menubar=0,scrollbars=yes');
        });
    });
</script>
<table >
    <tr>
        <td>
            <div>Vigencia anexo 6A</div>
            <select class="combobox" name="txtanio" class="filtro" id="txtanio" style="width:167px">
                <?php
                if (!empty($anio_final) && !empty($anio_inicio)) {
                    for ($i = $anio_final; $i >= $anio_inicio; $i--) {

                        if ($i == $anio_activo) {
                            echo '<option value="' . $i . '" selected>' . $i . '</option>';
                        } else {
                            echo '<option value="' . $i . '" >' . $i . '</option>';
                        }
                    }
                } else {
                    echo '<option value="" >No se ha registrado ningun año</option>';
                }
                ?>

            </select>
        </td>
        <td>
            <button id="btnGenerar">
                Generar
            </button>
        </td>
    </tr>
</table>